GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
Address | getAddress ()
void | setAddress (Address value)
BigDecimal | getExpectedWeight ()
void | setExpectedWeight (BigDecimal value)

## Protected Attributes
String | serviceName
Address | address
BigDecimal | expectedWeight

## Detailed Description

Exchange service attributes

Java class for ExchangeService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ExchangeService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v1/Common}Address"/>
            <element name="ExpectedWeight" type="{http://fpcs.gls-group.eu/v1/Common}Weight" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 45 of file ExchangeService.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 88 of file ExchangeService.java.

## ◆ getExpectedWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.getExpectedWeight | ( |  | ) |

Gets the value of the expectedWeight property.

Returns
  possible object is String

Definition at line 112 of file ExchangeService.java.

## ◆ getServiceName()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 64 of file ExchangeService.java.

## ◆ setAddress()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 100 of file ExchangeService.java.

## ◆ setExpectedWeight()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.setExpectedWeight | ( | BigDecimal | value | ) |

Sets the value of the expectedWeight property.

Parameters

  value | allowed object is String

Definition at line 124 of file ExchangeService.java.

## ◆ setServiceName()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 76 of file ExchangeService.java.

## Member Data Documentation

## ◆ address

Address eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.address
| protected

Definition at line 50 of file ExchangeService.java.

## ◆ expectedWeight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.expectedWeight
| protected

Definition at line 54 of file ExchangeService.java.

## ◆ serviceName

String eu.glsgroup.fpcs.datatypes.soap.v1.common.ExchangeService.serviceName
| protected

Definition at line 48 of file ExchangeService.java.

The documentation for this class was generated from the following file:

- ExchangeService.java